Uploaded image for project: 'PUBLIC - Liferay Portal Community Edition'
  1. PUBLIC - Liferay Portal Community Edition
  2. LPS-110165

Source formatting failure duo to clayui version changed

    Details

    • Branch Version/s:
      7.2.x
    • Backported to Branch:
      Committed
    • Fix Priority:
      3

      Description

      For source-format-jdk8 batch:

      format-source-all:
           [java] Loading file:/opt/dev/projects/github/liferay-portal-7.2.x/portal-impl/classes/system.properties
           [java] SLF4J: Class path contains multiple SLF4J bindings.
           [java] SLF4J: Found binding in [file:/opt/dev/projects/github/liferay-portal-7.2.x/util-slf4j/classes/org/slf4j/impl/StaticLoggerBinder.class]
           [java] SLF4J: Found binding in [jar:file:/opt/dev/projects/github/liferay-portal-7.2.x/lib/development/slf4j-simple.jar!/org/slf4j/impl/StaticLoggerBinder.class]
           [java] SLF4J: See http://www.slf4j.org/codes.html#multiple_bindings for an explanation.
           [java] SLF4J: Actual binding is of type [com.liferay.util.sl4fj.LiferayLoggerFactory]
           [java] java.lang.Exception: Found 8 formatting issues:
           [java] 1: ./modules/dxp/apps/segments/segments-experiment-web/package.json expected:<..."@clayui/alert": "3.[2.0",
           [java] 		"@clayui/button": "3.2.0",
           [java] 		"@clayui/drop-down": "3.2.0",
           [java] 		"@clayui/form": "3.5.0",
           [java] 		"@clayui/icon": "3.0.3",
           [java] 		"@clayui/link": "3.0.3",
           [java] 		"@clayui/modal": "3.2.0",
           [java] 		"@clayui/tabs": "3.0.6]",
           [java] 		"classnames": "...> but was:<..."@clayui/alert": "3.[0.0",
           [java] 		"@clayui/button": "3.0.0",
           [java] 		"@clayui/drop-down": "3.0.0",
           [java] 		"@clayui/form": "3.0.0",
           [java] 		"@clayui/icon": "3.0.0",
           [java] 		"@clayui/link": "3.0.0",
           [java] 		"@clayui/modal": "3.0.0",
           [java] 		"@clayui/tabs": "3.0.0]",
           [java] 		"classnames": "...>
           [java] 2: ./modules/dxp/apps/portal-workflow/portal-workflow-metrics-web/package.json expected:<...layui/charts": "3.0.[4]",
           [java] 		"axios": "0.18....> but was:<...layui/charts": "3.0.[0]",
           [java] 		"axios": "0.18....>
           [java] 3: ./modules/dxp/apps/portal-search-tuning/portal-search-tuning-rankings-web/package.json expected:<...@clayui/button": "3.[2.0",
           [java] 		"@clayui/data-provider": "3.0.7",
           [java] 		"@clayui/drop-down": "3.2.0",
           [java] 		"@clayui/form": "3.5.0",
           [java] 		"@clayui/icon": "3.0.3",
           [java] 		"@clayui/link": "3.0.3",
           [java] 		"@clayui/loading-indicator": "3.0.0",
           [java] 		"@clayui/management-toolbar": "3.0.6",
           [java] 		"@clayui/modal": "3.2.0",
           [java] 		"@clayui/multi-select": "3.4.1",
           [java] 		"@clayui/pagination": "3.0.7",
           [java] 		"@clayui/pagination-bar": "3.0.7",
           [java] 		"@clayui/tabs": "3.0.6",
           [java] 		"@clayui/tooltip": "3.1.0]",
           [java] 		"classnames": "...> but was:<...@clayui/button": "3.[0.0",
           [java] 		"@clayui/data-provider": "3.0.0",
           [java] 		"@clayui/drop-down": "3.0.0",
           [java] 		"@clayui/form": "3.0.0",
           [java] 		"@clayui/icon": "3.0.0",
           [java] 		"@clayui/link": "3.0.0",
           [java] 		"@clayui/loading-indicator": "3.0.0",
           [java] 		"@clayui/management-toolbar": "3.0.0",
           [java] 		"@clayui/modal": "3.0.0",
           [java] 		"@clayui/multi-select": "3.0.0",
           [java] 		"@clayui/pagination": "3.0.0",
           [java] 		"@clayui/pagination-bar": "3.0.0",
           [java] 		"@clayui/tabs": "3.0.0",
           [java] 		"@clayui/tooltip": "3.0.1]",
           [java] 		"classnames": "...>
           [java] 4: ./modules/dxp/apps/portal-search-tuning/portal-search-tuning-synonyms-web/package.json expected:<...@clayui/button": "3.[2.0",
           [java] 		"@clayui/form": "3.5.0",
           [java] 		"@clayui/icon": "3.0.3",
           [java] 		"@clayui/multi-select": "3.4.1]",
           [java] 		"classnames": "...> but was:<...@clayui/button": "3.[0.0",
           [java] 		"@clayui/form": "3.0.0",
           [java] 		"@clayui/icon": "3.0.0",
           [java] 		"@clayui/multi-select": "3.0.0]",
           [java] 		"classnames": "...>
           [java] 5: ./modules/apps/flags/flags-taglib/package.json expected:<...@clayui/button": "3.[2.0",
           [java] 		"@clayui/icon": "3.0.3",
           [java] 		"@clayui/modal": "3.2].0",
           [java] 		"clay-button"...> but was:<...@clayui/button": "3.[0.0",
           [java] 		"@clayui/icon": "3.0.0",
           [java] 		"@clayui/modal": "3.0].0",
           [java] 		"clay-button"...>
           [java] 6: ./modules/apps/segments/segments-web/package.json expected:<..."@clayui/alert": "3.[2.0",
           [java] 		"@clayui/button": "3.2.0",
           [java] 		"@clayui/form": "3.5.0",
           [java] 		"@clayui/icon": "3.0.3",
           [java] 		"@clayui/link": "3.0.3]",
           [java] 		"@clayui/loadin...> but was:<..."@clayui/alert": "3.[0.0",
           [java] 		"@clayui/button": "3.0.0",
           [java] 		"@clayui/form": "3.0.0",
           [java] 		"@clayui/icon": "3.0.0",
           [java] 		"@clayui/link": "3.0.0]",
           [java] 		"@clayui/loadin...>
           [java] 7: ./modules/apps/layout/layout-admin-web/package.json expected:<..."@clayui/alert": "3.[2.0",
           [java] 		"@clayui/button": "3.2.0",
           [java] 		"@clayui/icon": "3.0.3",
           [java] 		"@clayui/modal": "3.2].0",
           [java] 		"classnames":...> but was:<..."@clayui/alert": "3.[0.0",
           [java] 		"@clayui/button": "3.0.0",
           [java] 		"@clayui/icon": "3.0.0",
           [java] 		"@clayui/modal": "3.0].0",
           [java] 		"classnames":...>
           [java] 8: ./modules/apps/layout/layout-content-page-editor-web/package.json expected:<..."@clayui/alert": "3.[2.0",
           [java] 		"@clayui/button": "3.2.0",
           [java] 		"@clayui/drop-down": "3.2.0",
           [java] 		"@clayui/form": "3.5.0",
           [java] 		"@clayui/icon": "3.0.3",
           [java] 		"@clayui/label": "3.0.3",
           [java] 		"@clayui/sticker": "3.0.5]",
           [java] 		"clay-checkbox"...> but was:<..."@clayui/alert": "3.[0.0",
           [java] 		"@clayui/button": "3.0.0",
           [java] 		"@clayui/drop-down": "3.0.0",
           [java] 		"@clayui/form": "3.0.0",
           [java] 		"@clayui/icon": "3.0.0",
           [java] 		"@clayui/label": "3.0.0",
           [java] 		"@clayui/sticker": "3.0.0]",
           [java] 		"clay-checkbox"...>
           [java] 
           [java] 	at com.liferay.source.formatter.SourceFormatter.format(SourceFormatter.java:438)
           [java] 	at com.liferay.source.formatter.SourceFormatter.main(SourceFormatter.java:266)
      [stopwatch] [run.batch.test.action: 8:33.060 sec]
           [echo] The following error occurred while executing this line:
           [echo] /opt/dev/projects/github/liferay-portal-7.2.x/portal-impl/build.xml:694: Java returned: 1
            [get] Getting: http://test-1-3/job/test-portal-acceptance-pullrequest-batch(7.2.x)/AXIS_VARIABLE=0,label_exp=!master/14327//consoleText
            [get] To: /opt/dev/projects/github/liferay-portal-7.2.x/20200310122459604.txt
         [delete] Deleting: /opt/dev/projects/github/liferay-portal-7.2.x/20200310122459604.txt
         [delete] Deleting: /opt/dev/projects/github/liferay-portal-7.2.x/null169093985.properties
      
      

        Attachments

          Activity

            People

            Assignee:
            felix.zhang Felix Zhang
            Reporter:
            felix.zhang Felix Zhang
            Participants of an Issue:
            Recent user:
            Tibor Lipusz
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Days since last comment:
              14 weeks ago

                Packages

                Version Package
                7.2.10 DXP FP5
                7.2.10.2 DXP SP2
                7.2.X